From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libfastjson/
Date: Mon, 17 Apr 2023 16:14:56 +0000 (UTC) [thread overview]
Message-ID: <1681748094.1898b933e25247b2d4af70ae739a580cad3a1772.xgqt@gentoo> (raw)
commit: 1898b933e25247b2d4af70ae739a580cad3a1772
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 16:07:42 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 16:14:54 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1898b933
dev-libs/libfastjson: bump to 1.2304.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-libs/libfastjson/Manifest | 1 +
dev-libs/libfastjson/libfastjson-1.2304.0.ebuild | 39 ++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-libs/libfastjson/Manifest b/dev-libs/libfastjson/Manifest
index 2390c247e4ff..6242e9e567cb 100644
--- a/dev-libs/libfastjson/Manifest
+++ b/dev-libs/libfastjson/Manifest
@@ -1,3 +1,4 @@
DIST libfastjson-0.99.8.tar.gz 433819 BLAKE2B f988c01de8e7becc5a848825c18151fec2b80f81eb5b50e459b1a3bb535f5521fb63e9350eb133eb984f57f42c5f529220a0c9461eb4689e1421ad815c4c4d87 SHA512 1e7eb7eaae2c6ccb78b77ac883808e1d311b03bad083dc72ab7712765a2ed139accd762850d60f54c6fe0ad48c4385714818fd2c8ed76700ce3546e5aff1c823
DIST libfastjson-0.99.9.1.tar.gz 89468 BLAKE2B 6922c482043499d5c39845c5d8db12a956c7820c15514eed7e4a0ba74f24b68c4cb580ea53f215a965de4b2e6fe70d07e5a14dee09f52725f88328de279dd62a SHA512 32b513fb66ac5a54b0a3d028fabffad5d675fe50475ddd834de45c69eb0a60f83f85a0706071e5d61df25fb09a3de65ac37c295a620a65801782e0f24d033d41
DIST libfastjson-0.99.9.tar.gz 436502 BLAKE2B 5ed542f373dee2e28c85f8b48e9d35c7727d7e565c691f90caed7a9ac1192814c6371e03bce18dd9765b4251e6a78b7e612eeb38872d2833cd72021d41fb889a SHA512 90505fba033179aa92f12ac5dbbb071f69f3491de5bbbbb46d553b08ac325448459c9e33ba22ef4f9db0bae4496cca60046eebf6325d70b045c1a0a9845b0d48
+DIST libfastjson-1.2304.0.tar.gz 89477 BLAKE2B 2a24ada8f98b837bc4c6983694354615309913eff69f006933441e5a8e9fc58365ca4bd3e03ebdda60e685cefd7e48739f45c49348899150b9b2923f05a709c6 SHA512 a43dc809c0fc073f8bddaebdf91c996ccfc6275d7dcc312762e8dfb366dc121c7698c316b71bd5b43f2f7e9b3c326c90cfa927ce415824a7d32dd5e6667048ab
diff --git a/dev-libs/libfastjson/libfastjson-1.2304.0.ebuild b/dev-libs/libfastjson/libfastjson-1.2304.0.ebuild
new file mode 100644
index 000000000000..67b402d40b7a
--- /dev/null
+++ b/dev-libs/libfastjson/libfastjson-1.2304.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Fork of the json-c library, which is optimized for liblognorm processing"
+HOMEPAGE="https://www.rsyslog.com/tag/libfastjson/"
+SRC_URI="https://github.com/rsyslog/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0/4.3.0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="static-libs"
+
+BDEPEND=">=sys-devel/autoconf-archive-2015.02.04"
+
+DOCS=( AUTHORS ChangeLog )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local -a myconf=(
+ $(use_enable static-libs static)
+ --disable-rdrand
+ --enable-compile-warnings=yes
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${ED}"/usr/lib* -name '*.la' -delete || die
+}
next reply other threads:[~2023-04-17 16:15 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-17 16:14 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-09-02 14:30 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libfastjson/ Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-05-23 0:10 Sam James
2023-05-19 17:50 Sam James
2023-05-19 17:46 Sam James
2023-05-19 17:45 Sam James
2023-05-19 17:04 Arthur Zamarin
2023-05-05 13:46 Arthur Zamarin
2023-05-05 13:46 Arthur Zamarin
2023-05-05 13:46 Arthur Zamarin
2023-05-05 13:45 Arthur Zamarin
2023-05-05 13:37 Arthur Zamarin
2023-03-30 13:39 Maciej Barć
2022-08-28 5:55 Jakov Smolić
2022-08-23 18:10 Arthur Zamarin
2022-08-05 9:31 Arthur Zamarin
2022-07-09 3:08 Sam James
2022-06-05 13:25 Maciej Barć
2022-06-05 13:25 Maciej Barć
2021-05-15 2:41 Sam James
2021-05-15 2:37 Sam James
2021-04-08 6:23 Sergei Trofimovich
2021-04-06 1:02 Thomas Deutschmann
2021-04-06 1:00 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2018-06-02 0:57 Aaron Bauman
2018-05-21 19:02 Thomas Deutschmann
2018-05-07 0:22 Mart Raudsepp
2018-03-28 5:05 Markus Meier
2018-02-10 0:32 Thomas Deutschmann
2018-01-28 16:08 Mikle Kolyada
2017-12-18 18:15 Thomas Deutschmann
2017-10-17 16:23 Thomas Deutschmann
2017-10-01 19:38 Sergei Trofimovich
2017-08-12 19:11 Thomas Deutschmann
2017-05-15 10:15 Thomas Deutschmann
2017-05-05 10:56 Thomas Deutschmann
2017-02-21 20:38 Markus Meier
2017-01-15 21:04 Jeroen Roovers
2017-01-11 11:13 Aaron Bauman
2016-12-05 16:23 Mike Frysinger
2016-11-27 21:08 Thomas Deutschmann
2016-08-24 10:45 Thomas Deutschmann
2016-08-24 0:57 Thomas Deutschmann
2016-08-10 20:44 Thomas Deutschmann
2016-08-10 20:44 Thomas Deutschmann
2016-07-31 11:45 Jeroen Roovers
2016-07-05 5:08 Yixun Lan
2016-04-29 6:50 Jeroen Roovers
2016-04-21 15:43 Markus Meier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1681748094.1898b933e25247b2d4af70ae739a580cad3a1772.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox